Passer au contenu principal
GET
/
public
/
v1
/
campaign-service
/
campaigns
/
{campaign-id}
Get Campaign By Id
curl --request GET \
  --url https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign-id} \
  --header 'Authorization: Bearer <token>'
{
  "campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "marketplaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "startDate": "2023-11-07T05:31:56Z",
  "endDate": "2023-11-07T05:31:56Z",
  "isActive": true,
  "isSmart": true,
  "campaignType": "manual",
  "status": "approved",
  "createdAt": "2023-11-07T05:31:56Z",
  "chargeType": "CPM",
  "externalVendorId": "<string>",
  "adFormat": "listing",
  "isAutoTrigger": true,
  "vendorId": "<string>",
  "walletId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "bidCount": 123,
  "budget": {
    "amount": 123,
    "amountRemaining": 123,
    "amountCarryover": 123,
    "amountUsed": 123,
    "type": "daily"
  },
  "statusUpdatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "campaignBehaviorData": "<string>",
  "campaignBehaviorDataByDay": "<string>",
  "exclusivityPrice": 123,
  "targetRoas": 123,
  "externalCampaignId": "<string>",
  "autobiddingObjective": "impressions",
  "promotionType": {
    "bannerAssets": [
      {
        "dimensions": {
          "width": 123,
          "height": 123
        },
        "url": "<string>",
        "contentType": "image/png",
        "size": 123,
        "assetId": "asset_01j713j64yfsvtj4bs3ccpy5ca",
        "content": {},
        "jsonTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      }
    ],
    "slotId": "<string>",
    "adFormat": "<string>",
    "deviceType": "desktop"
  }
}

Autorisations

Authorization
string
header
requis

A valid API key generated in Topsort's UI.

Paramètres de chemin

campaign-id
string<uuid>
requis

The ID of the campaign.

Réponse

Successful Response

The campaign model.

campaignId
string<uuid>
requis

The ID of the campaign.

marketplaceId
string<uuid>
requis

The ID of the marketplace.

name
string
requis

The name of the campaign.

Minimum string length: 1
Exemple:

"Bola-Bola Ad campaign"

startDate
string<date-time>
requis

The starting date of the campaign.

endDate
string<date-time>
requis

The end date of the campaign.

isActive
boolean
requis

Whether this campaign is active.

isSmart
boolean
requis

Whether this campaign is "smart".

campaignType
enum<string>
requis

The bidding method for the campaign.

Options disponibles:
manual,
autobidding,
exclusive
status
enum<string>
requis

Represents the review status of a banner campaign.

Options disponibles:
approved,
pending,
rejected
createdAt
string<date-time>
requis

When was this campaign created.

chargeType
requis

Campaign charge type.

CPM: cost per mille impressions CPC: cost per click CPA: cost per action. CPA reflects the total cost to achieve a conversion.

Options disponibles:
CPM,
CPC,
CPA
externalVendorId
string
requis
obsolète

The ID of the vendor. Deprecated. Use vendor_id instead.

Minimum string length: 1
adFormat
enum<string>
requis

The ad format of the campaign. Can be listing or banner.

Options disponibles:
listing,
banner,
sponsored_brand,
exclusive_listing,
exclusive_banner,
travel_listing,
flight_listing
Exemple:

"listing"

isAutoTrigger
boolean
requis

Whether the campaign is auto-triggered.

vendorId
string
requis

The ID of the vendor.

Minimum string length: 1
walletId
string<uuid>
requis

The uuid of the wallet to be used with this campaign.

bidCount
integer
requis
obsolète

The amount of active bids associated with this campaign. This field is deprecated and will be set to 0 once the notice period is over.

budget
Budget · object

The budget assigned to the campaign.

statusUpdatedBy
string<uuid> | null

The ID of the user who reviewed the campaign. If it's null and the status is not "pending" then it means this campaign has autoapproval status.

campaignBehaviorData
string | null
obsolète

Deprecated. This field is always null. For behavioral data use reporting service.

campaignBehaviorDataByDay
string | null
obsolète

Deprecated. This field is always null. For behavioral data use reporting service.

exclusivityPrice
integer | null

Daily price for an exclusive campaign, can only be set if a campaign is exclusive

targetRoas
number | null

The target return on ad spend (ROAS) for this campaign. This is only applicable for autobidding listing campaigns.

externalCampaignId
string | null

The external ID of the campaign in the marketplace. Must be unique per marketplace and format combination.

autobiddingObjective
enum<string> | null

The autobidding objective for the campaign.

Options disponibles:
impressions,
clicks,
conversions,
revenue
promotionType
BannerAd · object
obsolète

Deprecated. Use adFormat field instead and format properties inside bids. The promotion type and attributes. Ad format must set to 'banner' for exclusive campaigns.